function compressionViaSVD(minEnergy)
close all

if nargin<1
    minEnergy = 0.80;
end
[file, pathname] = uigetfile('*.*', 'Image Open');
img = imread([pathname file]);
[r, c, d] = size(img);

if d==3
    img = double(rgb2gray(img));
else
    img = double(img);
end

[U,S,V] = svd(img);
Energy = cumsum(diag(S));
Energy = Energy/Energy(end);

K=find(Energy>minEnergy, 1);
 
imgK = U(:,1:K)*S(1:K,1:K)*V(:,1:K)';

err = snr(img, img-imgK);

figure;
subplot(1,2,1);
imshow(uint8(img));
title('Original image');

subplot(1,2,2);
imshow(uint8(imgK));
title(['Singular values: '  num2str(K) '. SNR: ' num2str(err) 'dB. Compressed ratio: '  num2str(1-((K*(r+c))/(r*c)))]);

disp(['Dim iniziali: ' num2str(r*c)]);
disp(['Dim compresse: ' num2str(K*(r+c))]);
disp(['Compression ratio: ' num2str(1-((K*(r+c))/(r*c)))]);

end 