function [img_var, var_rif] = imagePartition(img_rgb, n)
%function [img_var, var_rif] = impart(img_rgb,nRows, nColumns)
% given an img "img_rgb" and the number of rows and colums "nRows" and
% "nColumns", this function divides "img_rgb" in nRows*nColumns sub_image 
% and return the sub_images "img_var" with the maximun variance, and
% the variance itself "var_rif"

%Size of the image
dim = size(img_rgb);

%Size of the sub-images
hWind = floor(dim(1)/n);
wWind = floor(dim(2)/n);

%Loop to extraxt the sub-images and evaluate the corresponding variance 
ind = 0;
var_rif = -inf;
for rows=1:n
    for columns=1:n
        ind = ind +1;
        img_corr = img_rgb((rows-1)*hWind+1:rows*hWind, (columns-1)*wWind+1:columns*wWind, :);
        subplot(n,n, ind);
        imshow(img_corr,  []);
        var_corr = var(double((img_corr(:))));
        if var_corr > var_rif
            img_var = img_corr;
            var_rif = var_corr;
        end
    end
end
end










