[I, ~] = imagein1();
[n, m, d] = size(I);
if d==3
    img = double(rgb2gray(I));
else
    img = double(I);
end
[U,S,V] = svd(img);

%a)First ten singular values:
singVal = diag(S);
plot(singVal(1:10));

%b.1) reconstruction

imgRec = U * S * V';
imshow(imgRec, []);

%c) Approssimation
k = [10 50 100];
for i=1:length(k)
    Uk = U(:,1:k(i));
    Sk = S(1:k(i),1:k(i));
    Vk = V(:,1:k(i));
    imgRecK = Uk * Sk * Vk';
    figure;
    imshow(imgRecK, []);
    title(['Img reconstructed using ' num2str(k(i)) ' singular values']);
    pause
end

%e) Transmission costs

origTransmCost = n*m;
kvals= 1:min([n,m]);
comprTransmCost = (n*kvals)+ kvals + (m*kvals);
firstPosNotConvenient =  find( comprTransmCost > origTransmCost, 1);
k = firstPosNotConvenient -1;
fprintf('Trasmitting k< %u singular values and the corresponding left and right singular vectors produces a space reduction', k);


