img = rgb2gray(imread('gulfstream.png'));

 
%%%%%%%%%%%% Your code here %%%%%%%%%%%%%%
%The matrix "R" for the rotation is:
theta = pi/6;
R = [cos(theta) -sin(theta); sin(theta) cos(theta)];

% The matrix S for scaling is:
S = [0.5 0; 0 1];

T = R*S;
%%%%%%%%%%%% end of your code %%%%%%%%%%%%%%

%The code below applies the transformation to every pixel in the image, and 
%displays both images. This code takes care of some MATLAB-specific things 
%that have low educational value, and you don't need to understand it.

%adds the translation part to get a homogeneous matrix
TWithTranslation = [T [0;0];0 0 1];

%MATLAB affine-transform convention is the transpose of ours, so we feed it
%the transpose of the transformation matrix
tform = maketform('projective',TWithTranslation');
%Images are drawn with the +y axis pointing down. So flip the image before
%and after the transformation to simulate normal Cartesian coordinates
transformed = flipud(imtransform(flipud(img), tform, 'bicubic')); 
imshow(img)
figure
imshow(uint8(transformed))







